Subject: Re: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Aug 2014 17:01:41 +0300

> Date: Tue, 05 Aug 2014 17:05:20 +0400
> From: Dmitry Gutov <[email-masked]>
> 
> If the overlay is made to span over lines with different heights and
> lines spacing, we can either make it follow all those dimensions, or
> override them to the same values.

No, you can't do that.  Unless an overlay entirely obscures a screen
line, it can never make the line height smaller, only larger.

Besides, even if you could do what you hint here, that would cause
unpleasant effects on display, whereby the text would jump up and down
when the overlay is popped up/down.